profunctors-5.1.2: Profunctors

Safe Haskell | Safe
Language | Haskell2010

Data.Profunctor.Adjunction

# Documentation

class (ProfunctorFunctor f, ProfunctorFunctor u) => ProfunctorAdjunction f u | f -> u, u -> f where Source

Methods

unit :: Profunctor p => p :-> u (f p) Source

counit :: Profunctor p => f (u p) :-> p Source

Instances

ProfunctorAdjunction Environment Closure Source |
ProfunctorAdjunction Copastro Cotambara Source |
ProfunctorAdjunction Pastro Tambara Source |
ProfunctorAdjunction (Procompose p) (Rift p) Source |